--==========================================================
-- Design units : BlackJack_Test(Entity, Architecture, Configuration)
--
-- File name    : BlackJack_Test.vhd
--
-- Purpose      : Testbench for BJ dealer
--
-- Limitations  : -
--
-- Library      : IEEE
--
-- Dependencies : BlackJack_CTRL, BlackJack_DataPath, BlackJack_Stim
--
-- Author       : Claus-Juergen Thomas, REFT
--
-- Simulator    : Synopsys V3.2a on SUN SPARCstation 10
--
-----------------------------------------------------------
-- Revision list
-- Version Author Date           Changes
--
--  v1.0   cjt    04.07.1996     new
--=========================================================

LIBRARY ieee;
USE ieee.std_logic_1164.all;
USE work.BlackJack_Pack.all;

ENTITY BlackJack_Test IS
END BlackJack_Test;

--============================ARCHITECTURE==================


ARCHITECTURE Structure OF BlackJack_Test IS

SIGNAL card_value: std_logic_vector(3 DOWNTO 0);
SIGNAL card_ready,clk,reset,stand_ind,broke_ind,hit_ind: std_logic;
SIGNAL stand_beh,broke_beh,hit_beh: std_logic;
SIGNAL Score: std_logic_vector(4 DOWNTO 0);
SIGNAL Score_dec,Card_int: integer;

BEGIN

MUT: BlackJack_BB
PORT MAP(card_value,
         card_ready,
         clk,
         reset,
         stand_ind,
         broke_ind,
         hit_ind,
         Score);

STIM: BlackJack_Stim
PORT MAP(Clk,
         Reset,
         Card_value,
         Card_int,
         Card_ready);

SPEC: BlackJack_Behave
PORT MAP(Card_ready,
         Card_int,
         Reset,
         Clk,
         score_dec,
         stand_beh,
         broke_beh,
         hit_beh);

END Structure;

--============================CONFIGURATION=================

CONFIGURATION BlackJack_Test_Config OF BlackJack_Test IS

  FOR Structure

    FOR MUT: BlackJack_BB
      USE ENTITY work.BlackJack_BB(Structure);
    END FOR;

    FOR STIM: BlackJack_Stim
      USE ENTITY work.BlackJack_Stim(Behavior);
    END FOR;

    FOR SPEC: BlackJack_Behave
      USE ENTITY work.BlackJack_Behave(Behavior);
   END FOR;

  END FOR;

END BlackJack_Test_Config;


